using System;
using System.Runtime.InteropServices;

namespace SharpQuake
{
	[StructLayout(LayoutKind.Sequential, Pack = 1)]
	internal struct dspriteframe_t
	{
		[MarshalAs(UnmanagedType.ByValArray, SizeConst = 2)]
		public int[] origin;

		public int width;

		public int height;

		public static int SizeInBytes = Marshal.SizeOf(typeof(dspriteframe_t));
	}
}
